MsWks4TextInternal::Font Struct Reference

Internal: class to store a font properties. More...

## Public Types
enum | FieldType { None , Page , Eobj , Note , DTT , DTTUnk }
| the field type: pagenumber, note, DTT=date/time/type More...

## Public Member Functions
| Font (int fId=3, int size=12)
| constructor: default value Geneva:12
| Font (MWAWFont const &ft)
| copy constructor

## Public Attributes
MWAWFont | m_font
| the font
FieldType | m_fieldType
| the field type
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator <<

## Detailed Description

Internal: class to store a font properties.

## Member Enumeration Documentation

## ◆ FieldType

enum MsWks4TextInternal::Font::FieldType

the field type: pagenumber, note, DTT=date/time/type

Enumerator
None |
Page |
Eobj |
Note |
DTT |
DTTUnk |

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

MsWks4TextInternal::Font::Font | ( | int | fId = 3,
|  | int | size = 12 )
| inline explicit

constructor: default value Geneva:12

Referenced by operator<<.

## ◆ Font() [2/2]

MsWks4TextInternal::Font::Font | ( | MWAWFont const & | ft | ) |
| inline explicit

copy constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | ft )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string MsWks4TextInternal::Font::m_error

a string used to store the parsing errors

Referenced by Font(), Font(), operator<<, and MsWks4Text::readFont().

## ◆ m_fieldType

FieldType MsWks4TextInternal::Font::m_fieldType

the field type

Referenced by Font(), Font(), operator<<, and MsWks4Text::readFont().

## ◆ m_font

MWAWFont MsWks4TextInternal::Font::m_font

the font

Referenced by Font(), Font(), and MsWks4Text::readFont().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx